GWT 2.7.0

## com.google.gwt.canvas.dom.client
Class FillStrokeStyle

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.canvas.dom.client.FillStrokeStyle

Direct Known Subclasses:
  CanvasGradient, CanvasPattern, CssColor

    public class FillStrokeStyle

extends JavaScriptObject

Represents a `CssColor`, `CanvasGradient`, or `CanvasPattern` that is used for stroke and fill.

Field Summary
`static int` | `TYPE_CSSCOLOR` Constant for CssColor style.
`static int` | `TYPE_GRADIENT` Constant for Gradient style.
`static int` | `TYPE_PATTERN` Constant for Pattern style.

Constructor Summary
`protected` | `FillStrokeStyle()`

Method Summary
`int` | `getType()` Returns the type of this FillStrokeStyle as an integer.

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_CSSCOLOR

    public static final int TYPE_CSSCOLOR

  Constant for CssColor style.

  See Also:
    Constant Field Values

### TYPE_GRADIENT

    public static final int TYPE_GRADIENT

  Constant for Gradient style.

  See Also:
    Constant Field Values

### TYPE_PATTERN

    public static final int TYPE_PATTERN

  Constant for Pattern style.

  See Also:
    Constant Field Values

Constructor Detail

### FillStrokeStyle

    protected FillStrokeStyle()

Method Detail

### getType

    public final int getType()

  Returns the type of this FillStrokeStyle as an integer.

  Returns:
    The type of the object.

GWT 2.7.0